# pandas.io.formats.style.Styler.where

`Styler.``where`(cond, value, other=None, subset=None, **kwargs)

  Apply a function elementwise, updating the HTML representation with a style which is selected in accordance with the return value of a function.

  New in version 0.21.0.

  Parameters:

  cond : callable

  > `cond` should take a scalar and return a boolean

  value : str

  > applied when `cond` returns true

  other : str

  > applied when `cond` returns false

  subset : IndexSlice

  > a valid indexer to limit `data` to before applying the function. Consider using a pandas.IndexSlice

  kwargs : dict

  > pass along to `cond`

  Returns: | self : Styler

  See also

  `Styler.applymap`

Scroll To Top